[
{
    blockid=list;
    help=logfiles_list_list;
    custom=com.netscape.management.msgserv.LogfileListControl;
    localvar={
	/* translate this block */
	.dialogheader.text="Consultation et analyse des journaux";
	.detail.border=[titled,"Informations sur le fichier journal"];
	.filetype.text="Type de fichier journal :";
	.filetype.value=" ";
	.size.text="Taille du fichier journal (en octets) :";
	.modtime.text="Date de derni\u00e8re modification :";
	.count.text="Nombre de lignes :";
	.viewlog.text="Afficher le journal s\u00e9lectionn\u00e9...";
	.col1.header="Nom du fichier journal :";
	.col2.header="Journal";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.detail.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.filetype.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.filetype.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.size.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.size.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.modtime.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.modtime.value;
			    wrap=$g.label.size2;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	    size=$g.comp.space.diff;
	},
	{
	    ctrl=table;
	    id=logfiletable;
	    showadd=false;
	    showdelete=false;
	    showedit=true;
	    edittext=$.viewlog.text;
	    buttonsat=east;
	    columns=[
		{
		    header=$.col1.header;
		}
	    ];
	}
    ]
},
{
    blockid=filter;
    help=logfiles_list_filter;
    localvar={
	.filterheader.text="Filtre du journal";
	.filter.border=[titled,"Filtre"];
	.facility.text="Type :";
	.facility.labels=["Tous","G\u00e9n\u00e9ral","LDAP","R\u00e9seau","Compte","Protocole","Statistiques","M\u00e9moire"];
	.level.text="Niveaux de d\u00e9tails :";
	.level.labels=["Critique","Erreur","Avertissement","Avis","Information","D\u00e9bogage"];
	.regex.text="Mod\u00e8le :";
	.abstime.header="Pr\u00e9ciser la p\u00e9riode";
	.absfrom.text="Du :";
	.absfrom.value="-";
	.absto.text="Au :";
	.absto.value="-";
	.pasttime.text="Depuis :";
	.pasttime.labels=["Jour(s)"];
	.update.text="Mettre \u00e0 jour";
    };
    content=[
	{
	    ctrl=pane;
	    border=$.filter.border;
	    layout=[gridbag];
	    content=[
		{
		    ctrl=togglepane;
		    layout=[gridbag];
		    style=radio;
		    id=absflag;
		    text=$.abstime.header;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=0;
			insets=[3,3,3,6];
			weightx=1.0;
			gridheight=3;
			anchor=west;
			fill=horizontal;
		    };
		    content=[
			{
			    ctrl=label;
			    text=$.absfrom.text;
			    constraint={
				gridx=0;
				gridy=0;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absfrom;
			    id=absfromctrl;
			    val=$.absfrom.value;
			    constraint={
				gridx=1;
				gridy=0;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			},
			{
			    ctrl=label;
			    text=$.absto.text;
			    constraint={
				gridx=0;
				gridy=1;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absto;
			    id=abstoctrl;
			    val=$.absto.value;
			    constraint={
				gridx=1;
				gridy=1;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			}
		    ]
		},
		{
		    ctrl=label;
		    text=$.facility.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=facilityctrl;
		    labels=$.facility.labels;
		    items=["",General,LDAP,Network,Account,Protocol,Stats,Store];
		    val=$.facility.value;
		    constraint={
			gridx=2;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.level.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    labels=$.level.labels;
		    items=["Critical","Critical Error","Critical Error Warning","Critical Error Warning Notice","Critical Error Warning Notice Information",""];
		    val=$.level.value;
		    constraint={
			gridx=2;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.regex.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=text;
		    id=regexctrl;
		    val=$.regex.value;
		    constraint={
			gridx=2;
			gridy=2;
			weightx=9;
			anchor=west;
			fill=horizontal;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    id=pastflag;
		    text=$.pasttime.text;
		    inline=true;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=3;
			anchor=west;
			insets=$g.insets.comp
		    };
		    content=[
			{
			    ctrl=number;
			    id=pastctrl;
			    items=[day];
			    labels=$.pasttime.labels;
			    val=$.pasttime.value;
			}
		    ]
		},
		{
		    ctrl=button;
		    text=$.update.text;
		    cmd=.log.update;
		    constraint={
			gridx=2;
			gridy=3;
			anchor=east;
			insets=$g.insets.comp
		    }
		}
	    ]
	}
    ]
},
{
    blockid=viewer;
    help=logfiles_list_viewer;
    localvar={
	.viewerheader.text="Visionneuse du journal";
	.numlines.text="Nombre total de lignes :";
	.goto.text="Aller \u00e0";
	.logentry.text="Entr\u00e9e du journal";
	.filter.text="Filtrer...";
    };
    content=[
/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.numlines.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    id=numlineslabel;
		    wrap=$g.label.size1;
		    val=0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$.goto.text;
		    cmd=.log.goto;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=number;
		    id=goto;
		    val=$.goto.value;
		    aligny=0.5;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
*/
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=contenttable;
	    showadd=false;
	    showdelete=false;
	    visiblerows=8;
	    columns=[
		{
		    header=$.logentry.text;
		    width=480;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=textarea;
	    id=detailtext;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=hglue;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.close.text;
		    cmd=.log.done;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.help.text;
		    cmd=.log.help;
		},
		{
		    ctrl=rigid;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	}
    ]
}
]
